GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Functions
construction.h File Reference
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/engine/types/building.h"`
`#include "fourdst/composition/composition.h"`
`#include <variant>`

Go to the source code of this file.

## Namespaces
namespace | gridfire

## Functions
reaction::LogicalReactionSet | gridfire::build_reaclib_nuclear_network (const fourdst::composition::Composition &composition, BuildDepthType maxLayers=NetworkBuildDepth::Full, bool reverse=false)
| Builds a nuclear reaction network from the Reaclib library based on an initial composition.